
#START HERE: Anything in red is a "comment" - it doesn't effect the code, but it allows the coder to jot down clarifying notes.

import xlrd
formatting_info=False
book = xlrd.open_workbook("PersonalFeedbackSample.xlsx")
sh = book.sheet_by_index(0)
# -*- coding: utf-8 -*-

#All you'll need to change above is the name of the spreadsheet you're reading.

#IMPORTANT:
# - The spreadsheet name is case sensitive, and can't have any spaces ( _ works well instead).
# - The spreadsheet MUST BE IN THE SAME FOLDER as this Python file and the "xlrd" folder.

#The rest of the code above can just be copied. :)


n = 0

    #We'll define "n" as the number 0, and use it to refer to specific rows in the spreadsheet containing students' info.
    #Starting from n = 0, we'll increase n by 1 to access info on each student in every new row of the spreadsheet.
    #This is called a "while loop": use the same code on each line, until we cycle through all students (see "##" at the bottom of this page).

while n<10:
    
    #To test new code, leave the "n<__" value small, so it stops after a few students.
    #When we've perfected the code, we'll increase to include all students.


    #Define the variable "name" to be the cell that contains each students name.
    #ROW 0 is the FIRST row in your sheet, COLUMN 0 is the FIRST column, aka "Column A".

    name = sh.cell_value(rowx=n, colx=0)


#___________________________________________________________________________________________________
#___________________________________________________________________________________________________
    
    
    # NOW we'll begin the meat of the code - where you control who gets what message, and why.
    # - "STRINGS" of TEXT must be in quotes before and after - Python automatically colors the text GREEN.
    # - Separate any parts (quoted strings or cell values) of your message with a comma.
    # - A LINE BREAK is coded \n, in quotes. (That's a BACKSLASH, NOT a forward slash by the ? key...)

    print name,',','\n'

    #Alternate b/w text strings (green) and cell values (black) to build a personalized message.
    #Change the colx= value to refer to different columns in the sheet that contain different info

    print "Your classwork grade for last week was",sh.cell_value(rowx=n, colx=2),". This is an average of three grades, listed below:",'\n','\n',
    
    print "Wednesday: IV and DV worksheet:",sh.cell_value(rowx=n, colx=4),'\n',  # Column 4 is the worksheet grade in the spreadsheet
    print "Thursday: Ball Bounce Data:",sh.cell_value(rowx=n, colx=5),'\n',
    print "Friday: Graph Discussion:",sh.cell_value(rowx=n, colx=6),'\n','\n',

    #Use 'if','else', etc (called "CONDITIONAL STATEMENTS") to script out who gets what message.
    #Useful conditional comparisons:  == (equals)  != (does not equal)  <   >   <=   >=  (because "=" is used to define variables, we use "==" in conditional statements)  
            #In Python, CONDITIONAL statement lines must end in ":" INDENT all embedded commands exactly ONCE.

    if sh.cell_value(rowx=n, colx=4)<2.6 or sh.cell_value(rowx=n, colx=5)<2.6 or sh.cell_value(rowx=n, colx=3)<2.6:
        print "Think about how you spent your time and who you chose to sit with on each particular day. Pay SPECIAL attention to the days where you got a 2.5 or below. Think about who was in your group and how you could have spent your time better.",'\n','\n',

    else:
        print "Keep up the good work, and make sure to bring your best work this week to help your group succeed! We'll start collecting work randomly from the table, so you'll need to help your group stay on top of things!",'\n','\n',


    #Print "##" after each student, in order to separate each student by page before printing from a word processing program.

    print "##"


    #Before cycling through the "while loop" again, we increase "n" by 1, to use data for the next student.
    
    n += 1


